Package org.eclipse.microprofile.config.tck.broken

# Class ConfigPropertiesBeanMissingProperty

java.lang.Object
org.eclipse.microprofile.config.tck.broken.ConfigPropertiesBeanMissingProperty

@ConfigProperties(prefix="customer") @Dependent public class ConfigPropertiesBeanMissingProperty extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`age`
`String`
`nationality`

## Constructor Summary

Constructors
Constructor
Description
`ConfigPropertiesBeanMissingProperty()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### age

public int age

### nationality

public String nationality

## Constructor Details

### ConfigPropertiesBeanMissingProperty

public ConfigPropertiesBeanMissingProperty()

## Method Details

### getName

public String getName()

Returns:
  String return the name